Bug 497415 - Screen resolution not detected correctly
Screen resolution not detected correctly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 16:01 EDT by Pierre-YvesChibon
Modified: 2013-04-02 00:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 05:01:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.1.log (28.43 KB, text/plain)
2009-04-24 05:30 EDT, Pierre-YvesChibon
no flags Details
Xorg.0.log.old (37.52 KB, text/plain)
2009-04-24 05:31 EDT, Pierre-YvesChibon
no flags Details
Xorg.0.log (73.48 KB, text/plain)
2009-04-24 05:31 EDT, Pierre-YvesChibon
no flags Details
Screen weirdness (20.55 KB, image/jpeg)
2009-05-04 17:51 EDT, Andy Lawrence
no flags Details

  None (edit)
Description Pierre-YvesChibon 2009-04-23 16:01:54 EDT
Description of problem:

This afternoon I plug my laptop (x61s) to a 21" screen via vga cable and I turned off the screen of the laptop.
At the end of the day, I switch back (switch on the screen of the laptop, turn off the external screen).

At reboot I got this problem:
http://pingou.fedorapeople.org/img_0427.jpg

I can only set the resolution to 800x600 not to 1024x768 (and 800x600 sucks !)

In addition:
$ grep nomodeset /proc/cmdline
-> Does not return anything

$ rpm -q xorg-x11-drv-intel
xorg-x11-drv-intel-2.7.0-1.fc11.x86_64


I don't know which extra information I can add, but feel free to ask.
I will keep the laptop in this state (I will only do the update) until this week end, so the bug is reproducible (at least on here :) ).

Thanks for your help
Comment 1 Pierre-YvesChibon 2009-04-23 17:03:11 EDT
Extra information (I don't know if it is related)

The tty console are not accessible (ctrl+atl+f{2,3,4}) it only freezes the screen, I cannot do anything.
This is the outpu when I try to switch to a tty console (output from Xorg.0.log)
-------------------------
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) No APM support in BIOS or kernel
(II) AIGLX: Resuming AIGLX clients after VT switch
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0xffffffffffffffff: DRI memory manager (0 kB)
(II) intel(0): 0x00000000:            end of aperture
(II) intel(0): BO memory allocation layout:
(II) intel(0): 0x00000000:            start of memory manager
(II) intel(0): 0x01f1e000-0x0212afff: front buffer (2100 kB) X tiled
(II) intel(0): 0x00adf000-0x00ae8fff: HW cursors (40 kB)
(II) intel(0): 0x00000000:            end of memory manager
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) Sleep Button (CM): Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Power Button (FF): Device reopened after 1 attempts.
--------------------------

I don't know a good way to get the log when I try to change the resolution, all I got, I put it there:
http://fpaste.org/paste/9969

Hope that helps :)
Comment 2 Pierre-YvesChibon 2009-04-23 17:08:27 EDT
Oh and also the computer has trouble to shutdown... I have to press the button quite often (cannot give statistics though, it's twice in the row there but I don't remember if it was always before)
Comment 3 Pierre-YvesChibon 2009-04-24 02:39:16 EDT
Ok so I managed to get the resolution of the screen right on track.

I plugged in the external screen, switch on the 21", set its resolution, change the resolution of the screen of the laptop back to 1024x768 'Apply' and it works.

Only problem, if I reboot I lost the changes and I have to redo this trick again (problem I only have the 21" at work...)
Comment 4 Pierre-YvesChibon 2009-04-24 03:03:50 EDT
I now have managed to come back to original stage.

I created a new user and saw that the resolution was correct for this new user, so I remove some of the ~/. files and folders, restart and every thing is back to normal here :)

I leave the bug open (the bug did exist) but the situation is fine for me here
Comment 5 Pierre-YvesChibon 2009-04-24 03:12:35 EDT
Ok I clearly identified the problem,

It comes if I switch the screen to a refresh rate of 60MHz, I have no problem if the refresh rate is at 50Hz.

Hope that helps :)
Comment 6 Matěj Cepl 2009-04-24 05:21:11 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Pierre-YvesChibon 2009-04-24 05:29:21 EDT
The laptop is running rawhide without xorg.conf 

I hereby attach the logs
Comment 8 Pierre-YvesChibon 2009-04-24 05:30:13 EDT
Created attachment 341127 [details]
Xorg.1.log
Comment 9 Pierre-YvesChibon 2009-04-24 05:31:11 EDT
Created attachment 341128 [details]
Xorg.0.log.old
Comment 10 Pierre-YvesChibon 2009-04-24 05:31:47 EDT
Created attachment 341129 [details]
Xorg.0.log
Comment 11 Andy Lawrence 2009-05-04 17:50:52 EDT
Not quite the same but similar:

General desktop cruising caused this, see attached pic.  System was hard locked, vt switch failed, mouse was locked.  F11 Rawhide all updates to date.

See attached image:
Comment 12 Andy Lawrence 2009-05-04 17:51:20 EDT
Created attachment 342391 [details]
Screen weirdness
Comment 13 Andy Lawrence 2009-05-04 17:52:33 EDT
As usual, I forget some of the important details:

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
    Subsystem: Toshiba America Info Systems Device ff02
    Flags: bus master, fast devsel, latency 0, IRQ 16
    Memory at dc100000 (32-bit, non-prefetchable) [size=512K]
    I/O ports at 1800 [size=8]
    Memory at c0000000 (32-bit, prefetchable) [size=256M]
    Memory at dc200000 (32-bit, non-prefetchable) [size=256K]
    Expansion ROM at <unassigned> [disabled]
    Capabilities: <access denied>
    Kernel driver in use: i915
    Kernel modules: i915

No xorg.conf file.
Comment 14 Bug Zapper 2009-06-09 10:29:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Matěj Cepl 2009-11-05 13:27:29 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 17 Pierre-YvesChibon 2009-11-22 05:01:12 EST
I cannot reproduce this bug anymore on F-12.

Therefore I close it

Note You need to log in before you can comment on or make changes to this bug.